Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class Blank

    java.lang.Object
      Biff
          jet.report.xls.Blank

Direct Known Subclasses:
  BLabel, BNumber, BoolErr, Formula

    public class Blank

extends Biff

Description: Cell with no formula or value Record Body Length: 7 bytes Record Body Byte Structure: Byte Number Byte Description Contents (hex) 0-1 Row 2-3 Column 4-6 Index of XF Record A Blank class extends Biff class.

Field Summary
`static int` | `META`

Constructor Summary
`Blank(int row, int col, int ixfe)` Constructs a Blank record and sets its fields appropriately.

Method Summary
`int` | `getCol()` get the column of the cell .
`int` | `getIxfe()` get the Xf index of the cell .
`int` | `getRow()` get the row of the cell .
`void` | `input(RandomAccessStream stream)` input blank from input stream
`int` | `opcode()` get the opcode of Blank.
`int` | `output(RandomAccessStream stream)` output the class Blank.
`void` | `setCol(int col)` set the column of the cell .
`void` | `setIxfe(int index)` set the Xf index of the cell .
`void` | `setRow(int row)` set the row of the cell .

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### META

    public static final int META

See Also:
  Constant Field Values

Constructor Detail

### Blank

    public Blank(int row,
                 int col,
                 int ixfe)

  Constructs a Blank record and sets its fields appropriately.

  Parameters:
    `row` - The row number to locate the Blank(based 0)
    `col` - The column number to locate the Blank(based 0)
    `ixfe` - Index to the Xf record The length of the body is 6

Method Detail

### opcode

    public int opcode()

  get the opcode of Blank.

### setRow

    public void setRow(int row)

  set the row of the cell .

### getRow

    public int getRow()

  get the row of the cell .

### setCol

    public void setCol(int col)

  set the column of the cell .

### getCol

    public int getCol()

  get the column of the cell .

### setIxfe

    public void setIxfe(int index)

  set the Xf index of the cell .

### getIxfe

    public int getIxfe()

  get the Xf index of the cell .

### output

    public int output(RandomAccessStream stream)
               throws java.io.IOException

  output the class Blank.

  Throws:
    `java.io.IOException`

### input

    public void input(RandomAccessStream stream)
               throws java.io.IOException

  input blank from input stream

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD